%define	name	perl-Date-Calc
%define	module	Date-Calc
%define	version	5.3
%define	release	3mdk

Summary: 	Gregorian calendar date calculations
Name: 		%{name}
Version: 	%{version}
Release:	%{release}
License: 	GPL
Group: 		Development/Perl
Source: 	http://www.cpan.org/authors/id/STBEY/%{module}-%{version}.tar.bz2
BuildRequires:	perl-devel
BuildRoot: 	%{_tmppath}/%{name}-buildroot

%description
Gregorian calendar date calculations

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make OPTIMIZE="$RPM_OPT_FLAGS"
make test

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%files
%defattr(-,root,root)
%doc README.txt CHANGES.txt
%{perl_vendorarch}/Date/*
%{perl_vendorarch}/auto/Date/Calc
%{perl_vendorlib}/%{_arch}-linux-thread-multi/Carp/*
%{_mandir}/*/*

%changelog
* Wed Aug 13 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 5.3-3mdk
- rebuild for new perl
- drop Prefix tag
- don't use PREFIX
- use %%makeinstall_std macro
- use %%make macro

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.3-2mdk
- fix unpackaged files
- rebuild for new auto{prov,req}

* Wed Oct 16 2002 Franois Pons <fpons@mandrakesoft.com> 5.3-1mdk
- 5.3.

* Mon Aug  5 2002 Pixel <pixel@mandrakesoft.com> 5.0-3mdk
- rebuild for perl thread-multi

* Tue Jul  9 2002 Pixel <pixel@mandrakesoft.com> 5.0-2mdk
- rebuild for perl 5.8.0

* Thu Oct 25 2001 Christian Belisle <cbelisle@mandrakesoft.com> 5.0-1mdk
- 5.0 is out.

* Tue Oct 16 2001 Stefan van der Eijk <stefan@eijk.nu> 4.3-5mdk
- BuildRequires: perl-devel

* Sun Jun 24 2001 Christian Belisle <cbelisle@mandrakesoft.com> 4.3-4mdk
- .so is packaged now (thanx to Sebastian Dransfeld)

* Wed Jun 20 2001 Christian Belisle <cbelisle@mandrakesoft.com> 4.3-3mdk
- Make a clean RPM with the right directories
- Fixed distribution tag
- Changed description

* Sun Jun 17 2001 Geoffrey Lee <snaitalk@mandrakesoft.com> 4.3-2mdk
- Make a RPM for the latest perl.

* Thu Aug 31 2000 Enzo Maggi <enzo@mandrakesoft.com> 4.3-1mdk
- packaged 4.3

* Mon Aug  7 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 4.2-1mdk
- First mandrake package

* Tue May 11 1999 root <root@alien.devel.redhat.com>
- Spec file was autogenerated. 
